Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.compilers
Class Javac12

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
            |
            +--org.apache.tools.ant.taskdefs.compilers.Javac12

All Implemented Interfaces:
  CompilerAdapter

public class Javac12
extends DefaultCompilerAdapter

The implementation of the javac compiler for JDK 1.2 This is primarily a cut-and-paste from the original javac task before it was refactored.

Author:
  James Davidson duncan@x180.com, Robin Green greenrd@hotmail.com, Stefan Bodewig, J D Glanville

Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`attributes, bootclasspath, compileClasspath, compileList, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, optimize, project, src, target, verbose`

Constructor Summary
`Javac12()`

Method Summary
`boolean` | `execute()` Executes the task.

Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
`addExtdirsToClasspath, executeExternalCompile, getCompileClasspath, getJavac, logAndAddFilesToCompile, setJavac, setupJavacCommand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javac12

    public Javac12()

Method Detail

### execute

    public boolean execute()
                    throws BuildException

  Description copied from interface: `CompilerAdapter`
  Executes the task.
  Following copied from interface: `org.apache.tools.ant.taskdefs.compilers.CompilerAdapter`
  Returns:
    has the compilation been successful

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.